Bug 1786869 (python-django-search-url) - Review Request: python-django-search-url - Use Search URLs in your Django Application
Summary: Review Request: python-django-search-url - Use Search URLs in your Django App...
Keywords:
Status: CLOSED ERRATA
Alias: python-django-search-url
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: python-django-configurations
TreeView+ depends on / blocked
 
Reported: 2019-12-28 20:16 UTC by Fabian Affolter
Modified: 2020-01-24 17:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-16 22:30:25 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-12-28 20:16:09 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-dj-search-url.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-dj-search-url-0.1-1.fc31.src.rpm

Project URL: https://github.com/dstufft/dj-search-url

Description:
This simple Django utility allows you to utilize the 12factor inspired
SEARCH_URL environment variable to configure your application.

Koji scratch build:
python-django-configurations

rpmlint output:
$ rpmlint python-dj-search-url-0.1-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-dj-search-url-0.1-1.fc31.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-01-07 19:51:43 UTC
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

→

Source0:        %{pypi_source}


 - Use %{python3_version} or a glob * instead of ?.? because Python 3.10 will break this package otherwise:

%{python3_sitelib}/dj_search_url-%{version}-py*.egg-info



 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-01-07 20:35:02 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-01-07 22:02:12 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-django-search-url

Comment 4 Fedora Update System 2020-01-08 09:04:47 UTC
FEDORA-2020-debe02c462 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-debe02c462

Comment 5 Fedora Update System 2020-01-08 09:14:58 UTC
FEDORA-2020-13ec0c6278 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-13ec0c6278

Comment 6 Fedora Update System 2020-01-08 09:19:52 UTC
FEDORA-EPEL-2020-defe25670c has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-defe25670c

Comment 7 Fedora Update System 2020-01-09 01:07:36 UTC
python-django-search-url-0.1-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-debe02c462

Comment 8 Fedora Update System 2020-01-09 01:45:50 UTC
python-django-search-url-0.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-13ec0c6278

Comment 9 Fedora Update System 2020-01-09 01:53:37 UTC
python-django-search-url-0.1-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-defe25670c

Comment 10 Fedora Update System 2020-01-16 22:30:25 UTC
python-django-search-url-0.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-01-17 05:06:51 UTC
python-django-search-url-0.1-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-01-24 17:43:18 UTC
python-django-search-url-0.1-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.